<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Register - Please Help Programmers</title>
    <link rel="shortcut icon" href="/assets/img/favicon.png" type="image/png">
    <link rel="stylesheet" href="/assets/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/all.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css">
</head>
<body>
    <img src="/assets/img/elephpant.svg" alt="Please Help Programmers" class="logo">

    <div class="form-container">
        <h1>Register</h1>
        <?php if (isset($_GET['status'])): ?>
            <div class="alert 
                <?php if ($_GET['status'] === 'missing_fields'): ?>
                    alert-danger
                <?php else: ?>
                    alert-danger
                <?php endif; ?>
            " role="alert">
                <?php if ($_GET['status'] === 'missing_fields'): ?>
                    Please fill all fields.
                <?php else: ?>
                    An issue occurred. Please try again.
                <?php endif; ?>
            </div>
        <?php endif; ?>
        <form action="/?action=register" method="post">
            <div class="form-group">
                <label for="username">Username :</label>
                <input type="text" id="username" name="username" class="form-control" required>
            </div>
            <div class="form-group">
                <label for="email">Email :</label>
                <input type="email" id="email" name="email" class="form-control" required>
            </div>
            <div class="form-group">
                <label for="password">Password :</label>
                <input type="password" id="password" name="password" class="form-control" required>
            </div>
            <button type="submit" class="btn btn-success">Register</button>
        </form>
        <div class="footer-link">
            <p>Already registered ? <a href="/?action=login">Login</a></p>
        </div>
    </div>
    <script src="/assets/js/jquery.min.js"></script>
    <script src="/assets/js/bootstrap.min.js"></script>
</body>
</html>
