document.addEventListener('DOMContentLoaded', function() {
    // Animation de chargement des formulaires
    const formContainer = document.querySelector('.form-container');
    if (formContainer) {
        formContainer.style.opacity = 0;
        setTimeout(() => {
            formContainer.style.transition = 'opacity 0.5s';
            formContainer.style.opacity = 1;
        }, 100);
    }

    // Effet de survol des boutons (facultatif)
    document.querySelectorAll('button').forEach(button => {
        button.addEventListener('mouseover', () => {
            button.style.transform = 'translateY(-2px)';
        });
        button.addEventListener('mouseout', () => {
            button.style.transform = 'translateY(0)';
        });
    });
});